听长风
2021-05-24 19:42
采纳率: 100%
浏览 32

能帮我看一下吗,在网上复制的代码,运行会报错

这是接上一个我的问题的 专家回答的上一个回答是: 代码运行没有问题,检查一下requests版本和bs4版本,可以考虑升级一下。测试通过环境python3.7.6,bs4,'4.9.1',requests,'2.23.0' 我的新问题是: 我的python是3.9.5 bs4是0.0.1 requests是2.25.1这样不可以是吧,只能用您说的那些吗,还有一个beautifulsoup4是4.9.3 能问一下是那样吗? 谢谢

  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

2条回答 默认 最新

  • CSDN专家-HGJ 2021-05-24 20:20
    已采纳

    那只是测试通过的相关版本配置信息, 不必都要按照哪些版本来。运行环境没有配置好或运行路径不对都可能会出现问题。重点检查环境配置,及运行命令是否正确。

    已采纳该答案
    1 打赏 评论
  • 有问必答小助手 2021-05-26 17:36

    您好,我是有问必答小助手,您的问题已经有小伙伴解答了,您看下是否解决,可以追评进行沟通哦~

    如果有您比较满意的答案 / 帮您提供解决思路的答案,可以点击【采纳】按钮,给回答的小伙伴一些鼓励哦~~

    ps:问答VIP仅需29元,即可享受5次/月 有问必答服务,了解详情>>>https://vip.csdn.net/askvip?utm_source=1146287632

    打赏 评论

相关推荐 更多相似问题